MISC_DEREGISTER(9)

NAME
misc_deregister - unregister a miscellaneous device

SYNOPSIS

int misc_deregister (struct miscdevice * misc);

ARGUMENTS

misc
    device to unregister

DESCRIPTION

Unregister a miscellaneous device that was previously successfully registered with misc_register. Success is indicated by a zero return, a negative errno code indicates an error.